BARMAN-VERIFY-BACKUP(1)

NAME
barman-verify-backup - Barman Sub-Commands

SYNOPSIS

    verify-backup
        [ { -h | --help } ]
        SERVER_NAME BACKUP_ID

DESCRIPTION

Runs pg_verifybackup on a backup manifest file (available since Postgres version 13). For rsync backups, it can be used after creating a manifest file using the generate-manifest command. Requires pg_verifybackup to be installed on the backup server. You can use a shortcut instead of BACKUP_ID.

Starting with Postgres 18, tar-format backups taken with the postgres backup method can also be verified, including those compressed with gzip, lz4 or zstd. Verifying tar or compressed backups requires pg_verifybackup from Postgres 18 or newer to be available on the backup server, otherwise the command will fail with an error. Encrypted backups are not supported by this command.

PARAMETERS

SERVER_NAME
    Name of the server in barman node

BACKUP_ID
    Id of the backup in barman catalog.

-h / --help
    Show a help message and exit. Provides information about command usage.

SHORTCUTS

For some commands, instead of using the timestamp backup ID, you can use the following shortcuts or aliases to identify a backup for a given server:
Shortcut | Description
first/oldest | Oldest available backup for the server, in chronological order.
last/latest | Most recent available backup for the server, in chronological order.
last-full/latest-full | Most recent full backup taken with methods rsync or postgres.
last-failed | Most recent backup that failed, in chronological order.

Author
EnterpriseDB

Copyright
© Copyright EnterpriseDB UK Limited 2011-2026